Skip to main content
POST
/
api
/
pickface_products
Create a pickface product assignment
curl --request POST \
  --url https://clarus-api.com/api/pickface_products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "pickface_products",
    "attributes": {
      "product_id": 123,
      "location_id": 456,
      "replenishment_type": "continuous",
      "trigger_min": 10,
      "trigger_max": 100,
      "priority": 1,
      "full_storage_units_only": false
    }
  }
}
'
{
  "data": {
    "id": 1,
    "type": "pickface_products",
    "attributes": {
      "trigger_min": 10,
      "trigger_max": 100,
      "priority": 1,
      "full_storage_units_only": false
    },
    "relationships": {
      "product": {
        "data": {
          "id": 123,
          "type": "products"
        }
      },
      "location": {
        "data": {
          "id": 456,
          "type": "locations"
        }
      }
    }
  }
}

Request Structure

{
  "data": {
    "type": "pickface_products",
    "attributes": {
      "product_id": 123,
      "location_id": 456,
      "replenishment_type": "continuous",
      "trigger_min": 10,
      "trigger_max": 100,
      "priority": 1,
      "full_storage_units_only": false
    }
  }
}

Key Fields

FieldRequiredDescription
product_idYesThe product to assign to a pickface
location_idConditionalPickface location ID (exactly one of location_id or location_group_id required)
location_group_idConditionalLocation group ID (exactly one of location_id or location_group_id required)
replenishment_typeNoType of replenishment: continuous, demand, or order_volume
trigger_minNoMinimum stock level that triggers replenishment (>= 0)
trigger_maxNoMaximum stock level for replenishment target (>= 0)
priorityNoReplenishment priority (>= 0, lower number = higher priority)
full_storage_units_onlyNoWhether to replenish only with full storage units

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Pickface product assignment created successfully

Response containing a pickface product assignment with its relationships

data
object